#pragma once
class CThread
{
public:
	CThread();
	virtual ~CThread();

	void start();
	std::thread::id getId();
	void interrupt();
	bool isInterrupted();
	void join();
	virtual void run();

private:
	std::atomic<bool> isInterript = false;
	std::thread  th;
};

